opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
CvImageDrawer Class Reference

`#include <blobtrack.hpp>`

## Public Member Functions
| CvImageDrawer ()
IplImage * | Draw (const CvArr *src, CvBlobSeq *blob_seq=0, const CvSeq *roi_seq=0)
IplImage * | GetImage ()
void | SetShapes (const CvDrawShape *shapes, int num)
| ~CvImageDrawer ()

## Protected Attributes
IplImage * | m_image
CvDrawShape | m_shape [16]

## Constructor & Destructor Documentation

CvImageDrawer::CvImageDrawer | ( |  | ) |
| inline

CvImageDrawer::~CvImageDrawer | ( |  | ) |
| inline

## Member Function Documentation

IplImage* CvImageDrawer::Draw | ( | const CvArr * | src,
|  | CvBlobSeq * | blob_seq = `0`,
|  | const CvSeq * | roi_seq = `0`
| ) |  |

IplImage* CvImageDrawer::GetImage | ( |  | ) |
| inline

void CvImageDrawer::SetShapes | ( | const CvDrawShape * | shapes,
|  | int | num
| ) |  |

## Member Data Documentation

IplImage* CvImageDrawer::m_image
| protected

CvDrawShape CvImageDrawer::m_shape[16]
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp